:root {
    --primary-hue: 23;
	--primary-saturation: 85%;
	--primary-brightness: 58%;

	--secondary-hue: 203;
	--secondary-saturation: 69%;
	--secondary-brightness: 48%;

	--tertiary-hue: 45;
	--tertiary-saturation: 82%;
	--tertiary-brightness: 52%;

	--quaternary-hue: 45;
	--quaternary-saturation: 82%;
	--quaternary-brightness: 52%;

	--neutral-hue: 0;
	--neutral-saturation: 0%;
	--neutral-brightness: 100%;

	--surface-color-hue: 0;
	--surface-color-saturation: 0%;
	--surface-color-brightness: 96%;

    --primary-gradient-angle: 0deg;

    --primary-overlay-gradient: linear-gradient(var(--primary-gradient-angle), hsla(var(--primary-hue), var(--primary-saturation), var(--primary-brightness), 1.0), hsla(var(--neutral-hue), var(--neutral-saturation), var(--neutral-brightness), 0.2));
    --secondary-overlay-gradient: linear-gradient(var(--primary-gradient-angle), hsla(var(--secondary-hue), var(--secondary-saturation), var(--secondary-brightness), 1.0), hsla(var(--neutral-hue), var(--neutral-saturation), var(--neutral-brightness), 0.4));
    --reverse-primary-overlay-gradient: linear-gradient(180deg, hsla(var(--primary-hue), var(--primary-saturation), var(--primary-brightness), 1.0), hsla(var(--neutral-hue), var(--neutral-saturation), var(--neutral-brightness), 0.4));
    
    --primary-gradient: linear-gradient(180deg, var(--primary-color-bright), var(--primary-color-dim));
}